

We need to register the binfmts earlier, so normal initcalls can successfully
run call_usermodehelper() to execute things.


---

 25-akpm/fs/binfmt_aout.c   |    2 +-
 25-akpm/fs/binfmt_elf.c    |    4 ++--
 25-akpm/fs/binfmt_em86.c   |    4 ++--
 25-akpm/fs/binfmt_flat.c   |    2 +-
 25-akpm/fs/binfmt_misc.c   |    2 +-
 25-akpm/fs/binfmt_script.c |    4 ++--
 25-akpm/fs/binfmt_som.c    |    2 +-
 7 files changed, 10 insertions(+), 10 deletions(-)

diff -puN fs/binfmt_aout.c~binfmt-use-core_initcall fs/binfmt_aout.c
--- 25/fs/binfmt_aout.c~binfmt-use-core_initcall	2004-05-08 13:19:13.151934392 -0700
+++ 25-akpm/fs/binfmt_aout.c	2004-05-08 13:19:13.164932416 -0700
@@ -520,6 +520,6 @@ static void __exit exit_aout_binfmt(void
 	unregister_binfmt(&aout_format);
 }
 
-module_init(init_aout_binfmt);
+core_initcall(init_aout_binfmt);
 module_exit(exit_aout_binfmt);
 MODULE_LICENSE("GPL");
diff -puN fs/binfmt_elf.c~binfmt-use-core_initcall fs/binfmt_elf.c
--- 25/fs/binfmt_elf.c~binfmt-use-core_initcall	2004-05-08 13:19:13.153934088 -0700
+++ 25-akpm/fs/binfmt_elf.c	2004-05-08 13:19:13.166932112 -0700
@@ -1542,6 +1542,6 @@ static void __exit exit_elf_binfmt(void)
 	unregister_binfmt(&elf_format);
 }
 
-module_init(init_elf_binfmt)
-module_exit(exit_elf_binfmt)
+core_initcall(init_elf_binfmt);
+module_exit(exit_elf_binfmt);
 MODULE_LICENSE("GPL");
diff -puN fs/binfmt_em86.c~binfmt-use-core_initcall fs/binfmt_em86.c
--- 25/fs/binfmt_em86.c~binfmt-use-core_initcall	2004-05-08 13:19:13.154933936 -0700
+++ 25-akpm/fs/binfmt_em86.c	2004-05-08 13:19:13.166932112 -0700
@@ -110,6 +110,6 @@ static void __exit exit_em86_binfmt(void
 	unregister_binfmt(&em86_format);
 }
 
-module_init(init_em86_binfmt)
-module_exit(exit_em86_binfmt)
+core_initcall(init_em86_binfmt);
+module_exit(exit_em86_binfmt);
 MODULE_LICENSE("GPL");
diff -puN fs/binfmt_flat.c~binfmt-use-core_initcall fs/binfmt_flat.c
--- 25/fs/binfmt_flat.c~binfmt-use-core_initcall	2004-05-08 13:19:13.156933632 -0700
+++ 25-akpm/fs/binfmt_flat.c	2004-05-08 13:19:13.168931808 -0700
@@ -895,7 +895,7 @@ static void __exit exit_flat_binfmt(void
 
 /****************************************************************************/
 
-module_init(init_flat_binfmt);
+core_initcall(init_flat_binfmt);
 module_exit(exit_flat_binfmt);
 
 /****************************************************************************/
diff -puN fs/binfmt_misc.c~binfmt-use-core_initcall fs/binfmt_misc.c
--- 25/fs/binfmt_misc.c~binfmt-use-core_initcall	2004-05-08 13:19:13.158933328 -0700
+++ 25-akpm/fs/binfmt_misc.c	2004-05-08 13:19:13.169931656 -0700
@@ -775,6 +775,6 @@ static void __exit exit_misc_binfmt(void
 	unregister_filesystem(&bm_fs_type);
 }
 
-module_init(init_misc_binfmt);
+core_initcall(init_misc_binfmt);
 module_exit(exit_misc_binfmt);
 MODULE_LICENSE("GPL");
diff -puN fs/binfmt_script.c~binfmt-use-core_initcall fs/binfmt_script.c
--- 25/fs/binfmt_script.c~binfmt-use-core_initcall	2004-05-08 13:19:13.159933176 -0700
+++ 25-akpm/fs/binfmt_script.c	2004-05-08 13:19:13.169931656 -0700
@@ -111,6 +111,6 @@ static void __exit exit_script_binfmt(vo
 	unregister_binfmt(&script_format);
 }
 
-module_init(init_script_binfmt)
-module_exit(exit_script_binfmt)
+core_initcall(init_script_binfmt);
+module_exit(exit_script_binfmt);
 MODULE_LICENSE("GPL");
diff -puN fs/binfmt_som.c~binfmt-use-core_initcall fs/binfmt_som.c
--- 25/fs/binfmt_som.c~binfmt-use-core_initcall	2004-05-08 13:19:13.161932872 -0700
+++ 25-akpm/fs/binfmt_som.c	2004-05-08 13:19:13.169931656 -0700
@@ -305,5 +305,5 @@ static void __exit exit_som_binfmt(void)
 	unregister_binfmt(&som_format);
 }
 
-module_init(init_som_binfmt);
+core_initcall(init_som_binfmt);
 module_exit(exit_som_binfmt);

_
